The Spring Framework

## org.springframework.web.portlet
Class HandlerExecutionChain

    java.lang.Object
      org.springframework.web.portlet.HandlerExecutionChain

    public class HandlerExecutionChain

extends Object

Handler execution chain, consisting of handler object and any handler interceptors. Returned by HandlerMapping's `HandlerMapping.getHandler(javax.portlet.PortletRequest)` method.

Since:
  2.0
Author:
  Juergen Hoeller, John A. Lewis
See Also:
  `HandlerInterceptor`

Constructor Summary
`HandlerExecutionChain(Object handler)` Create a new HandlerExecutionChain.
`HandlerExecutionChain(Object handler, HandlerInterceptor[] interceptors)` Create a new HandlerExecutionChain.

Method Summary
`void` `addInterceptor(HandlerInterceptor interceptor)`
`void` `addInterceptors(HandlerInterceptor[] interceptors)`
`Object` `getHandler()` Return the handler object to execute.
`HandlerInterceptor[]` `getInterceptors()` Return the array of interceptors to apply (in the given order).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerExecutionChain

    public HandlerExecutionChain(Object handler)

  Create a new HandlerExecutionChain.

  Parameters:
    `handler` - the handler object to execute

### HandlerExecutionChain

    public HandlerExecutionChain(Object handler,
                                 HandlerInterceptor[] interceptors)

  Create a new HandlerExecutionChain.

  Parameters:
    `handler` - the handler object to execute
    `interceptors` - the array of interceptors to apply (in the given order) before the handler itself executes

Method Detail

### getHandler

    public Object getHandler()

  Return the handler object to execute.

  Returns:
    the handler object

### addInterceptor

    public void addInterceptor(HandlerInterceptor interceptor)

### addInterceptors

    public void addInterceptors(HandlerInterceptor[] interceptors)

### getInterceptors

    public HandlerInterceptor[] getInterceptors()

  Return the array of interceptors to apply (in the given order).

  Returns:
    the array of HandlerInterceptors instances (may be `null`)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.